<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcAnalogMotion Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcAnalogMotion Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcAnalogMotion" --><!-- doxytag: inherits="iBase" -->
<p>This is a property class for analog character movement using a joystick or analog pad.  
 <a href="structiPcAnalogMotion.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="analogmotion_8h_source.html">propclass/analogmotion.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcAnalogMotion:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcAnalogMotion.png" usemap="#iPcAnalogMotion_map" alt=""/>
  <map id="iPcAnalogMotion_map" name="iPcAnalogMotion_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,108,24"/>
</map>
 </div></div>

<p><a href="structiPcAnalogMotion-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#a4705235037f00dfa30e07280932e5b5d">AddAxis</a> (size_t axis, float value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase axis by a value.  <a href="#a4705235037f00dfa30e07280932e5b5d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#aba78421406b6f6018949a4a0e1be7d81">CS_DEPRECATED_METHOD_MSG</a> (&quot;Use Set(Minimum|Maximum)TurningSpeed () instead&quot;) virtual void SetTurningSpeed(float turnspeed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the turning speed of the character.  <a href="#aba78421406b6f6018949a4a0e1be7d81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#a197faff08d727a89f27b7b43792cf17e">CS_DEPRECATED_METHOD_MSG</a> (&quot;Use Get(Minimum|Maximum)TurningSpeed () instead&quot;) virtual float GetTurningSpeed() const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the turning speed of the character.  <a href="#a197faff08d727a89f27b7b43792cf17e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#a1402ed4c8be884ddd0d1e46332498d01">Enable</a> (bool en=true)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether this component is updating the player's position every frame.  <a href="#a1402ed4c8be884ddd0d1e46332498d01"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#a29d753395bf1f79201174b792b991f56">GetAxis</a> (size_t axis) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an axis' value.  <a href="#a29d753395bf1f79201174b792b991f56"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#a96953c25387b6190bbc11e19a5df8ef5">GetAxis</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get both the axis values as a vector.  <a href="#a96953c25387b6190bbc11e19a5df8ef5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#a593326effbf3604dc610af8345a38846">GetMaximumTurningSpeed</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the maximum turning speed of the character.  <a href="#a593326effbf3604dc610af8345a38846"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#aafea7ae33e6f19ef0a507aa2f92b5e86">GetMinimumTurningSpeed</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the minimum turning speed of the character.  <a href="#aafea7ae33e6f19ef0a507aa2f92b5e86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#a9d823fccbb64e4a2f570fcd43bdf6099">GetMovementAcceleration</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the movement acceleration of the character for when you start moving.  <a href="#a9d823fccbb64e4a2f570fcd43bdf6099"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#a0a188f78e158134c2188f6874beede11">GetMovementDeceleration</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the movement deceleration of the character for when you stop moving.  <a href="#a0a188f78e158134c2188f6874beede11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#ad4d456a0785499b123e7cfed0cdcb036">GetMovementSpeed</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the movement speed of the character.  <a href="#ad4d456a0785499b123e7cfed0cdcb036"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#ac399a5fc18641fb91a9bf59a90751707">IsEnabled</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get whether this component is actively updating the player.  <a href="#ac399a5fc18641fb91a9bf59a90751707"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#af541588a05260aa10bb7df5487e51c30">SetAxis</a> (size_t axis, float value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set axis to a value.  <a href="#af541588a05260aa10bb7df5487e51c30"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#ad8d811bbc0ed86dd7c8041f10a2e5d55">SetAxis</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;axis)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set both the axis values using a vector.  <a href="#ad8d811bbc0ed86dd7c8041f10a2e5d55"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#a52bf5b718114ede0dc180c1365c6f441">SetMaximumTurningSpeed</a> (float turnspeed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the maximum turning speed of the character.  <a href="#a52bf5b718114ede0dc180c1365c6f441"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#a0b0695b3c1adaf259612d5d69c5923e1">SetMinimumTurningSpeed</a> (float turnspeed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the minimum turning speed of the character.  <a href="#a0b0695b3c1adaf259612d5d69c5923e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#aaf497af8eeca3366c62263171499670a">SetMovementAcceleration</a> (float moveaccel)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the movement acceleration of the character for when you start moving.  <a href="#aaf497af8eeca3366c62263171499670a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#ae6e717159e8fca6e3115b92507b969a9">SetMovementDeceleration</a> (float movedecel)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the movement deceleration of the character for when you stop moving.  <a href="#ae6e717159e8fca6e3115b92507b969a9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcAnalogMotion.html#adbb13a7c7d3c2e3a80f9494bc027f87a">SetMovementSpeed</a> (float movespeed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the movement speed of the character.  <a href="#adbb13a7c7d3c2e3a80f9494bc027f87a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a property class for analog character movement using a joystick or analog pad. </p>
<p>This property class supports the following actions (add prefix 'cel.move.analog.action.' if you want to access this action through a message):</p>
<ul>
<li>SetAxis: parameters 'axis' (long), 'value' (float).</li>
<li>AddAxis: parameters 'axis' (long), 'value' (float).</li>
<li>SetMovementSpeed: parameters 'value' (float).</li>
<li>SetTurningSpeed: parameters 'value' (float).</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>axisx (float, read/write): Left/Right axis value (-1.0 to 1.0).</li>
<li>axisy (float, read/write): Forward/Backwards axis value (-1.0 to 1.0).</li>
<li>movespeed (float, read/write): Movement speed.</li>
<li>turnspeed (float, read/write): Turning speed. </li>
</ul>

<p>Definition at line <a class="el" href="analogmotion_8h_source.html#l00043">43</a> of file <a class="el" href="analogmotion_8h_source.html">analogmotion.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a4705235037f00dfa30e07280932e5b5d"></a><!-- doxytag: member="iPcAnalogMotion::AddAxis" ref="a4705235037f00dfa30e07280932e5b5d" args="(size_t axis, float value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcAnalogMotion.html#a4705235037f00dfa30e07280932e5b5d">iPcAnalogMotion::AddAxis</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Increase axis by a value. </p>
<p>This is for keyboard keys to avoid 'deadlock' </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">axis</td><td>This is the axis. 0 for left/right axis, 1 for forwards/backwards axis, 2 or above for both together. </td></tr>
    <tr><td class="paramname">value</td><td>The value to add to it. Anything resulting in the target axis value being out of the range [-1,1] will be clipped. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aba78421406b6f6018949a4a0e1be7d81"></a><!-- doxytag: member="iPcAnalogMotion::CS_DEPRECATED_METHOD_MSG" ref="aba78421406b6f6018949a4a0e1be7d81" args="(&quot;Use Set(Minimum|Maximum)TurningSpeed () instead&quot;) virtual void SetTurningSpeed(float turnspeed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structiPcAnalogMotion.html#aba78421406b6f6018949a4a0e1be7d81">iPcAnalogMotion::CS_DEPRECATED_METHOD_MSG</a> </td>
          <td>(</td>
          <td class="paramtype">&quot;Use Set(Minimum|Maximum)TurningSpeed () instead&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the turning speed of the character. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">turnspeed</td><td>How fast the player turns to face its target. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a197faff08d727a89f27b7b43792cf17e"></a><!-- doxytag: member="iPcAnalogMotion::CS_DEPRECATED_METHOD_MSG" ref="a197faff08d727a89f27b7b43792cf17e" args="(&quot;Use Get(Minimum|Maximum)TurningSpeed () instead&quot;) virtual float GetTurningSpeed() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structiPcAnalogMotion.html#aba78421406b6f6018949a4a0e1be7d81">iPcAnalogMotion::CS_DEPRECATED_METHOD_MSG</a> </td>
          <td>(</td>
          <td class="paramtype">&quot;Use Get(Minimum|Maximum)TurningSpeed () instead&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the turning speed of the character. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>How fast the player turns to face its target. </dd></dl>

</div>
</div>
<a class="anchor" id="a1402ed4c8be884ddd0d1e46332498d01"></a><!-- doxytag: member="iPcAnalogMotion::Enable" ref="a1402ed4c8be884ddd0d1e46332498d01" args="(bool en=true)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcAnalogMotion.html#a1402ed4c8be884ddd0d1e46332498d01">iPcAnalogMotion::Enable</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em> = <code>true</code></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Whether this component is updating the player's position every frame. </p>
<p>Turning this off effectively makes this component deactivated. </p>

</div>
</div>
<a class="anchor" id="a29d753395bf1f79201174b792b991f56"></a><!-- doxytag: member="iPcAnalogMotion::GetAxis" ref="a29d753395bf1f79201174b792b991f56" args="(size_t axis) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcAnalogMotion.html#a29d753395bf1f79201174b792b991f56">iPcAnalogMotion::GetAxis</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>axis</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an axis' value. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">axis</td><td>This is the axis. 0 for left/right axis, 1 for forwards/backwards axis. </td></tr>
    <tr><td class="paramname">value</td><td>The value in the range [-1,1]. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a96953c25387b6190bbc11e19a5df8ef5"></a><!-- doxytag: member="iPcAnalogMotion::GetAxis" ref="a96953c25387b6190bbc11e19a5df8ef5" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a>&amp; <a class="el" href="structiPcAnalogMotion.html#a29d753395bf1f79201174b792b991f56">iPcAnalogMotion::GetAxis</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get both the axis values as a vector. </p>

</div>
</div>
<a class="anchor" id="a593326effbf3604dc610af8345a38846"></a><!-- doxytag: member="iPcAnalogMotion::GetMaximumTurningSpeed" ref="a593326effbf3604dc610af8345a38846" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcAnalogMotion.html#a593326effbf3604dc610af8345a38846">iPcAnalogMotion::GetMaximumTurningSpeed</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the maximum turning speed of the character. </p>
<p>This is the speed of turning when not moving at all. Turning is decelerating in one direction and accelerating in another. Slower movement means a faster turning speed, and vice versa. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>How fast the player turns to face its target. </dd></dl>

</div>
</div>
<a class="anchor" id="aafea7ae33e6f19ef0a507aa2f92b5e86"></a><!-- doxytag: member="iPcAnalogMotion::GetMinimumTurningSpeed" ref="aafea7ae33e6f19ef0a507aa2f92b5e86" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcAnalogMotion.html#aafea7ae33e6f19ef0a507aa2f92b5e86">iPcAnalogMotion::GetMinimumTurningSpeed</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the minimum turning speed of the character. </p>
<p>This is the speed of turning when moving at full speed. Turning is decelerating in one direction and accelerating in another. Faster movement means a slower turning speed, and vice versa. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>How fast the player turns to face its target. </dd></dl>

</div>
</div>
<a class="anchor" id="a9d823fccbb64e4a2f570fcd43bdf6099"></a><!-- doxytag: member="iPcAnalogMotion::GetMovementAcceleration" ref="a9d823fccbb64e4a2f570fcd43bdf6099" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcAnalogMotion.html#a9d823fccbb64e4a2f570fcd43bdf6099">iPcAnalogMotion::GetMovementAcceleration</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the movement acceleration of the character for when you start moving. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>Acceleration of character. </dd></dl>

</div>
</div>
<a class="anchor" id="a0a188f78e158134c2188f6874beede11"></a><!-- doxytag: member="iPcAnalogMotion::GetMovementDeceleration" ref="a0a188f78e158134c2188f6874beede11" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcAnalogMotion.html#a0a188f78e158134c2188f6874beede11">iPcAnalogMotion::GetMovementDeceleration</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the movement deceleration of the character for when you stop moving. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>Deceleration of character. </dd></dl>

</div>
</div>
<a class="anchor" id="ad4d456a0785499b123e7cfed0cdcb036"></a><!-- doxytag: member="iPcAnalogMotion::GetMovementSpeed" ref="ad4d456a0785499b123e7cfed0cdcb036" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcAnalogMotion.html#ad4d456a0785499b123e7cfed0cdcb036">iPcAnalogMotion::GetMovementSpeed</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the movement speed of the character. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>How fast the character moves in the direction its facing. </dd></dl>

</div>
</div>
<a class="anchor" id="ac399a5fc18641fb91a9bf59a90751707"></a><!-- doxytag: member="iPcAnalogMotion::IsEnabled" ref="ac399a5fc18641fb91a9bf59a90751707" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcAnalogMotion.html#ac399a5fc18641fb91a9bf59a90751707">iPcAnalogMotion::IsEnabled</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get whether this component is actively updating the player. </p>

</div>
</div>
<a class="anchor" id="af541588a05260aa10bb7df5487e51c30"></a><!-- doxytag: member="iPcAnalogMotion::SetAxis" ref="af541588a05260aa10bb7df5487e51c30" args="(size_t axis, float value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcAnalogMotion.html#af541588a05260aa10bb7df5487e51c30">iPcAnalogMotion::SetAxis</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set axis to a value. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">axis</td><td>This is the axis. 0 for left/right axis, 1 for forwards/backwards axis, 2 or above for both together. </td></tr>
    <tr><td class="paramname">value</td><td>The value in the range [-1,1] to set it to. Anything else is invalid and is clipped. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad8d811bbc0ed86dd7c8041f10a2e5d55"></a><!-- doxytag: member="iPcAnalogMotion::SetAxis" ref="ad8d811bbc0ed86dd7c8041f10a2e5d55" args="(const csVector2 &amp;axis)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcAnalogMotion.html#af541588a05260aa10bb7df5487e51c30">iPcAnalogMotion::SetAxis</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;&#160;</td>
          <td class="paramname"><em>axis</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set both the axis values using a vector. </p>

</div>
</div>
<a class="anchor" id="a52bf5b718114ede0dc180c1365c6f441"></a><!-- doxytag: member="iPcAnalogMotion::SetMaximumTurningSpeed" ref="a52bf5b718114ede0dc180c1365c6f441" args="(float turnspeed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcAnalogMotion.html#a52bf5b718114ede0dc180c1365c6f441">iPcAnalogMotion::SetMaximumTurningSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>turnspeed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the maximum turning speed of the character. </p>
<p>This is the speed of turning when not moving at all. Turning is decelerating in one direction and accelerating in another. Slower movement means a faster turning speed, and vice versa. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">turnspeed</td><td>How fast the player turns to face its target. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0b0695b3c1adaf259612d5d69c5923e1"></a><!-- doxytag: member="iPcAnalogMotion::SetMinimumTurningSpeed" ref="a0b0695b3c1adaf259612d5d69c5923e1" args="(float turnspeed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcAnalogMotion.html#a0b0695b3c1adaf259612d5d69c5923e1">iPcAnalogMotion::SetMinimumTurningSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>turnspeed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the minimum turning speed of the character. </p>
<p>This is the speed of turning when moving at full speed. Turning is decelerating in one direction and accelerating in another. Faster movement means a slower turning speed, and vice versa. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">turnspeed</td><td>How fast the player turns to face its target. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaf497af8eeca3366c62263171499670a"></a><!-- doxytag: member="iPcAnalogMotion::SetMovementAcceleration" ref="aaf497af8eeca3366c62263171499670a" args="(float moveaccel)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcAnalogMotion.html#aaf497af8eeca3366c62263171499670a">iPcAnalogMotion::SetMovementAcceleration</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>moveaccel</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the movement acceleration of the character for when you start moving. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">moveaccel</td><td>Acceleration of character. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae6e717159e8fca6e3115b92507b969a9"></a><!-- doxytag: member="iPcAnalogMotion::SetMovementDeceleration" ref="ae6e717159e8fca6e3115b92507b969a9" args="(float movedecel)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcAnalogMotion.html#ae6e717159e8fca6e3115b92507b969a9">iPcAnalogMotion::SetMovementDeceleration</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>movedecel</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the movement deceleration of the character for when you stop moving. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">movedecel</td><td>Deceleration of character. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adbb13a7c7d3c2e3a80f9494bc027f87a"></a><!-- doxytag: member="iPcAnalogMotion::SetMovementSpeed" ref="adbb13a7c7d3c2e3a80f9494bc027f87a" args="(float movespeed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcAnalogMotion.html#adbb13a7c7d3c2e3a80f9494bc027f87a">iPcAnalogMotion::SetMovementSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>movespeed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the movement speed of the character. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">movespeed</td><td>How fast the character moves in the direction its facing. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="analogmotion_8h_source.html">analogmotion.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
